<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_disable_download_to_video_block($content) {
//videoタグにcontrolsList="nodownload"を追加
	$content = preg_replace('/<video(.*?)>/', '<video$1 controlsList="nodownload">', $content);
    
	return $content;
}
add_filter('the_content', 'haup_disable_download_to_video_block');